#
# spec file for package yast2-repair (Version 2.15.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake autoyast2-installation bash binutils blocxx boost bzip2 coreutils cpio cpp cpp42 cracklib cryptsetup curl curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib dejagnu desktop-translations device-mapper diffutils dirmngr dmraid e2fsprogs expat expect file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glibc glibc-devel glibc-locale gpg2 grep groff gzip hal hwinfo info insserv kpartx less libacl libattr libblkid1 libbz2-1 libbz2-devel libcom_err2 libcurl4 libdb-4_5 libexpat1 libext2fs2 libgcc42 libgcrypt libgomp42 libgpg-error libicu libidn libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libsmbios-libs libstdc++42 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 liby2util libzio libzypp limal limal-perl linux-kernel-headers lvm2 m4 make man master-boot-code mdadm mktemp ncurses net-tools netcfg openldap2-client openssl openssl-certs pam pam-config pam-modules parted patch pcre perl perl-Bootloader perl-Compress-Raw-Zlib perl-Compress-Zlib perl-IO-Compress-Base perl-IO-Compress-Zlib perl-XML-Bare perl-XML-Parser perl-XML-Writer perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils rpm sed setserial sqlite sysvinit tar tcl texinfo timezone unzip update-desktop-files util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb yast2 yast2-bootloader yast2-core yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-mouse yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib yast2-testsuite yast2-transfer yast2-update yast2-xml zlib

Name:           yast2-repair
Version:        2.15.8
Release:        0.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-repair-2.15.8.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-bootloader yast2-devtools yast2-packager yast2-testsuite
Requires:       yast2 gpart reiserfs e2fsprogs yast2-bootloader yast2-storage
BuildArch:      noarch
Summary:        YaST2 - System Repair Tool

%description
YaST2 module to be used for repairing a damaged system.



Authors:
--------
    Johannes Buchhold <jbuch@suse.de>
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-repair-2.15.8

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/repair
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/data/*
/usr/share/YaST2/include/repair/*
%doc %{prefix}/share/doc/packages/yast2-repair
%changelog
* Mon Oct 01 2007 - jsuchome@suse.cz
- adapt for API change in yast2-bootloader (#329702)
- 2.15.8
* Wed Jun 06 2007 - jsuchome@suse.cz
- remember the packages selected for reinstallation (#278512)
- 2.15.7
* Fri May 25 2007 - jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Wed May 16 2007 - jsuchome@suse.cz
- checking of /etc/fstab adapted to current standards (#273105)
- 2.15.6
* Thu May 03 2007 - jsuchome@suse.cz
- basic command line for view_anymsg client (#269912)
- 2.15.5
* Wed Mar 28 2007 - jsuchome@suse.cz
- replaced usage of obsolete guessfstype with blkid tool
- 2.15.4
* Thu Mar 01 2007 - jsuchome@suse.cz
- check the products (installed vs repairing) for name and version,
  give possibility to continue even when they differ (#195265)
- 2.15.3
* Tue Feb 13 2007 - jsuchome@suse.cz
- fixed failing testsuites (Mode::test now works correctly)
- 2.15.2
* Fri Jan 05 2007 - jsuchome@suse.cz
- show popup that restart is imminent (#186580)
- 2.15.1
* Wed Dec 20 2006 - jsuchome@suse.cz
- use exit code of xfs_admin to check if partition is XFS (#228813)
- text fixes to enable better translations
- 2.15.0
* Mon Nov 06 2006 - jsuchome@suse.cz
- new version for new product
- 2.14.0
* Tue Sep 26 2006 - jsuchome@suse.cz
- correctly get minimal set of required packages (#184323)
- initialize package callbacks
- 2.13.9
* Fri Sep 15 2006 - jsuchome@suse.cz
- show the product information when choosing root partition (#203542)
- 2.13.8
* Fri Jun 23 2006 - jsuchome@suse.cz
- do not create fstab entry for cdrom (#185575)
- 2.13.7
* Thu Jun 15 2006 - jsuchome@suse.cz
- 'Save system settings' scans only real disks (#184342)
- 2.13.6
* Tue May 23 2006 - jsuchome@suse.cz
- removed jfsutils from Requires (#177898)
- 2.13.5
* Mon Mar 20 2006 - jsuchome@suse.cz
- allow root partition on LVM (#147377)
- 2.13.4
* Mon Feb 20 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Fri Jan 20 2006 - jsuchome@suse.cz
- testsuite udapted to recent changes in yast2-bootloader
- 2.13.2
* Fri Oct 21 2005 - jsuchome@suse.cz
- testsuite udapted to recent changes in ModuleLoading.ycp
- 2.13.1
* Thu Oct 06 2005 - jsuchome@suse.cz
- fixed testsuite (adapted to changes in StorageDevices)
- 2.13.0
* Tue Sep 06 2005 - jsuchome@suse.cz
- fixed handling default value in system log viewer (#115183)
- 2.12.9
* Mon Sep 05 2005 - jsuchome@suse.cz
- fixed checking for swap on RAID and LVM (#115197)
- 2.12.8
* Tue Aug 23 2005 - jsuchome@suse.cz
- reduced NFB (#106608)
- 2.12.7
* Thu Aug 18 2005 - jsuchome@suse.cz
- adapted for API changes in yast2-bootloader
- 2.12.6
* Fri Aug 12 2005 - jsuchome@suse.cz
- fixed grub config file checking
- updated to changed Initrd.ycp iterface
- fixed checking of swap entry in /etc/fstab
- 2.12.5
* Thu Jul 28 2005 - jsuchome@suse.cz
- updated desktop file
- merged texts from proofreading
- 2.12.4
* Wed Jul 20 2005 - jsuchome@suse.cz
- another NFB update: limal-perl limal
- 2.12.3
* Thu Jul 14 2005 - jsuchome@suse.cz
- adapted to new partitioner using storage-lib (arvin)
- adapted for API changes in yast2-bootloader
- updated NFB (yast2-bootloader needs limal)
- 2.12.2
* Tue Jun 21 2005 - jsuchome@suse.cz
- text fixes from proofreader (rwalter)
- 2.12.1
* Wed May 04 2005 - jsuchome@suse.cz
- replaced "default" variable
- 2.12.0
* Fri Mar 11 2005 - jsuchome@suse.cz
- added reiserfs package to Requires (#71740)
* Tue Mar 01 2005 - jsuchome@suse.cz
- adapt bootloader config file check for embedding stage 1.5
* Mon Feb 07 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.7
* Tue Jan 25 2005 - jsuchome@suse.cz
- fixed testsuite (new yast2-bootloader)
- 2.11.6
* Thu Jan 13 2005 - jsuchome@suse.cz
- move cliens for viewing logs here (from yast2-support)
- 2.11.5
* Wed Jan 12 2005 - jsuchome@suse.cz
- avoid touching UI in constructors
- use basic command line interface
* Tue Dec 07 2004 - jsuchome@suse.cz
- do not report errors on LVM partitions (#48940)
- 2.11.4
* Mon Dec 06 2004 - jsuchome@suse.cz
- by default, show only limited number of files from failing package
  verification, but enable to see the full list in a new popup
* Wed Dec 01 2004 - jsuchome@suse.cz
- basic testsuite added
- show packages selected for reinstallation in summary
- 2.11.3
* Thu Nov 04 2004 - jsuchome@suse.cz
- lookup and select calls replaced by []
- 2.11.2
* Wed Oct 27 2004 - jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.1
* Fri Oct 22 2004 - jsuchome@suse.cz
- fixed helptext for different product versions (#45306)
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to new Arch:: interface
- 2.11.0
* Fri Sep 17 2004 - jsuchome@suse.cz
- check if the repaired product is the same as the one on the CD (#45306)
- 2.10.5
* Fri Aug 27 2004 - jsuchome@suse.cz
- merged proofread texts
- adapted to new FileSystems interface (/etc/fstab options)
- 2.10.4
* Fri Aug 13 2004 - jsuchome@suse.cz
- mk_initrd strings changed to mkinitrd
- 2.10.3
* Fri Aug 13 2004 - nashif@suse.de
- Added yast2-xml to neededforbuild
* Tue Aug 10 2004 - jsuchome@suse.cz
- merged proofread texts
* Thu Jul 29 2004 - jsuchome@suse.cz
- fox of build: Misc::WriteYaSTInf -> Linuxrc::WriteYaSTInf (nashif)
- 2.10.2
* Mon Jul 12 2004 - jsuchome@suse.cz
- removed usage of DownloadProgress widget, fixed types
- 2.10.1
* Tue Jun 22 2004 - jsuchome@suse.cz
- fixed direct call of bootloader repair (#40223)
- changed helptext and default behaviour for package reinstalltion
- code cleanup
* Fri Jun 11 2004 - jsuchome@suse.cz
- added some documentation
- 2.10.0
* Tue May 25 2004 - jsuchome@suse.cz
- new fix of #37133: read contents of all selections required by
  'Minimal' selection
- 2.9.14
* Mon May 24 2004 - jsuchome@suse.cz
- get packages from Minimal selection (#37133)
- 2.9.13
* Tue May 04 2004 - jsuchome@suse.cz
- merged in proofread text
- 2.9.12
* Thu Apr 29 2004 - jsuchome@suse.cz
- show Progress generated by Bootloader::Write
- fix of some texts
- 2.9.11
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.10
* Fri Apr 02 2004 - jsuchome@suse.cz
- fix: check /etc/modprobe.conf existence, not /etc/modules.conf
  (in case of missing /etc/modules.conf, bootlader check wasn't done)
- 2.9.9
* Wed Mar 31 2004 - jsuchome@suse.cz
- fix: get minimal package selection (#37133)
- correctly set Installation::scr_destdir after chroot
- fix: do not report cdrom and floppy lines in fstab as errors
- 2.9.8
* Fri Mar 26 2004 - jsuchome@suse.cz
- correct values for cdrom and floppy in fstab
- 2.9.7
* Mon Mar 22 2004 - jsuchome@suse.cz
- correctly set 'misc' wizard icon
- 2.9.6
* Mon Mar 22 2004 - arvin@suse.de
- handle new variable Installation::scr_destdir to be used by
  Storage (bug #34996)
* Fri Mar 12 2004 - jsuchome@suse.cz
- use clients (osr_module_*) as include files now
- used function reference in OSRPopup::MultiSelectionBox
- fixed cyclic dependencies
- 2.9.5
* Mon Mar 08 2004 - jsuchome@suse.cz
- more type fixes
* Fri Mar 05 2004 - jsuchome@suse.cz
- another type fixes, use Storage again
- sequencer is now module
- 2.9.4
* Mon Mar 01 2004 - jsuchome@suse.cz
- type fixes
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
* Sat Feb 28 2004 - kkaempf@suse.de
- add type information
* Mon Feb 23 2004 - jsuchome@suse.cz
- minor syntax fixes
* Thu Feb 19 2004 - jsuchome@suse.cz
- fixes for NI (use function pointers)
- 2.9.3
* Thu Feb 19 2004 - arvin@suse.de
- removed special ide recorder handling (bug #34694)
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch
  to std::sort
* Wed Feb 04 2004 - jsuchome@suse.cz
- migrated for new interpreter
- 2.9.2
* Wed Oct 22 2003 - jsuchome@suse.cz
- close the target before first opening pkg database (#30423)
- bootloader and package check fuctions back to original order
- 2.9.1
* Mon Sep 29 2003 - jsuchome@suse.cz
- actualized list of package problems ('rpm -V')
- 2.9.0
* Thu Sep 18 2003 - jsuchome@suse.cz
- do not close Target after package installation (#30423 again)
- 2.8.6
* Wed Sep 17 2003 - jsuchome@suse.cz
- read the list of packages in Minimal selection directly after the
  pkg database is opened (due to bug #30423 it fails to read them later)
- 2.8.5
* Mon Sep 15 2003 - jsuchome@suse.cz
- prevent the fall in the bootloader check (switched bootloader
  and packages check functions) - #30272
* Wed Sep 10 2003 - jsuchome@suse.cz
- updated list of packages for which 'rpm -V' complains (#30381)
  (+ check which kernel package is used)
- 2.8.4
* Fri Sep 05 2003 - jsuchome@suse.cz
- removed language selection dialog when running from CD
* Fri Sep 05 2003 - jsuchome@suse.cz
- merged in proofread texts
* Tue Sep 02 2003 - jsuchome@suse.cz
- used new db files for rpm (#29852)
- 2.8.3
* Mon Aug 25 2003 - jsuchome@suse.de
- fixed helptext
* Thu Aug 14 2003 - jsuchome@suse.de
- removed obsolete AskShowLog function
- 2.8.2
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts, 1st round
- 2.8.1
* Thu Aug 07 2003 - jsuchome@suse.de
- removed useless parameter for fsck.ext2
* Mon Aug 04 2003 - jsuchome@suse.de
- added .desktop file
* Thu Jul 10 2003 - jsuchome@suse.de
- used Popup and Label interface
* Mon Jun 09 2003 - jsuchome@suse.de
- fix: package database check is required for verifying
* Mon Mar 24 2003 - jsuchome@suse.de
- help/error texts fixes (e.g. #25088, #25000)
- removed functions for fat filesystems checking
- 2.8.0
* Mon Mar 17 2003 - jsuchome@suse.de
- more mount options for fstab: "nls", "code" (#24983)
* Thu Mar 13 2003 - jsuchome@suse.de
- fstab check: do not count "gid" and "umask" options as errors (#24983)
- 2.7.6
* Wed Mar 12 2003 - jsuchome@suse.de
- ntfs filesystem: detect and ignore (#24983)
* Tue Mar 11 2003 - jsuchome@suse.de
- 2.7.5
* Mon Mar 10 2003 - jsuchome@suse.de
- do not check/repair non-linux partitions (#24983, #25002)
- untranslated texts (#25051, #25065)
* Fri Mar 07 2003 - jsuchome@suse.de
- fix of ncurses dialog of verified packages (#24572)
- fix of ncurses dialog with gpart (#24642)
- removed repair.y2cc (#24618)
- finding: hack if absolute path is not defined
- fixed default lookup values
- removed "chroot /" before calling bootloader config
- do not use require.ycp (caused InitTarget with / while root is in /mnt)
- fixed unloading modules (wrong parameters to remove)
- 2.7.4
* Mon Mar 03 2003 - jsuchome@suse.de
- corrected texts from proofreading
* Tue Feb 25 2003 - jsuchome@suse.de
- fix: wrong suggestion to fstab entry (#23249)
- fixed button labels to correspond with helptexts
- 2.7.3
* Mon Feb 24 2003 - jsuchome@suse.de
- fixed minimal selection checking
- fixed text for mounting swap partition (#23241)
* Mon Feb 17 2003 - jbuch@suse.de
- remove one line in OSRBoot.ycp; now adding Storage
  Controller modules for a new boot loader installation
  works
  2.7.2
* Thu Feb 13 2003 - jsuchome@suse.de
- corected calling inst_language
* Mon Feb 10 2003 - jsuchome@suse.de
- corrected texts from proofreading
- fixes in bootloader API
- 2.7.1
* Fri Feb 07 2003 - jsuchome@suse.de
- adapted to 8.2 Bootloader API
* Tue Feb 04 2003 - jbuch@suse.de
- initial version of new YaST System repair
